Name:		fheroes2
Version:	1.1.3
Release:	%mkrel 1
Summary:	Free implementation of Heroes of the Might and Magic II engine
License:	GPL-2.0-only
Group:		Games/Strategy
Url:		https://github.com/inhub
Source0:	https://github.com/ihhub/fheroes2/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	gcc-c++
BuildRequires:	gettext
BuildRequires:	sdl2-static-devel
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(SDL2_mixer)
BuildRequires:	pkgconfig(SDL2_net)
BuildRequires:	pkgconfig(SDL2_ttf)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(zlib)

%description
Free implementation of Heroes of the Might and Magic II engine.
You need to copy files from data and maps directories from original game
into your /usr/share/games/fheroes2/{maps,data} directories respectively.

%prep
%autosetup -p1

%build
%cmake -DENABLE_IMAGE:BOOL=ON \
       -DCMAKE_INSTALL_BINDIR=%{_gamesbindir} \
       -DFHEROES2_DATA=%{_gamesdatadir}/%{name}
%cmake_build

%install
%cmake_install

for i in %{buildroot}%{_gamesdatadir}/fheroes2/files/lang/*.mo; do
	echo "%%lang($(basename $i .mo)) $(echo $i |sed -e 's,^.*%{_gamesdatadir},%%{_gamesdatadir},')" >>fheroes2.lang
done

%files -f %{name}.lang
%doc %{_docdir}/%{name}/
%{_gamesbindir}/%{name}
%dir %{_gamesdatadir}/%{name}
%dir %{_gamesdatadir}/%{name}/files
%dir %{_gamesdatadir}/%{name}/files/lang
%{_gamesdatadir}/%{name}/files/data/
%{_datadir}/applications/%{name}.desktop
%{_metainfodir}/%{name}.metainfo.xml
%{_iconsdir}/hicolor/*x*/apps/%{name}.png


%changelog
* Tue Nov 19 2024 daviddavid <daviddavid> 1.1.3-1.mga10
+ Revision: 2117747
- new version: 1.1.3

* Mon Aug 26 2024 daviddavid <daviddavid> 1.1.1-1.mga10
+ Revision: 2091409
- initial package fheroes2 (mga#28770)

